%define version      0.5.5
%define release      8mdk
%define prefix   /usr

Summary: Gtk/gnome widget builder
Summary(fr): Generateur de Widgets gtk/gnome
Name: glade
Version: %version
Release: %release
Copyright: LGPL
Group: Development/GNOME and GTK+
Source0: http://glade.pn.org/glade-%{version}.tar.bz2
Source1: glade.png
Source2: glade
BuildRoot: /var/tmp/glade-%{version}-root
URL: http://glade.pn.org/
Docdir: %{prefix}/doc
Requires: gnome-libs-devel >= 1.0.14
Requires: gtk+-devel >= 1.2.3
Requires: gettext >= 0.10.35
%description
Glade is a Widget builder for Gtk/gnome. It allows to create a gtk/gnome interface in C, C++, Ada and Perl

%description -l fr
Glade est un gnrateur de widgets gtk/gnome. Il permet de crer une interface gtk/gnome en C, C++, Ada et Perl.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi


cp doc/*.txt .
cp doc/glade-docs.sgml .

%install
rm -fr $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} PACKAGE_PIXMAPS_DIR=$RPM_BUILD_ROOT/usr/share/pixmaps install
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 $RPM_SOURCE_DIR/%{name} $RPM_BUILD_ROOT/usr/lib/menu/
install -d $RPM_BUILD_ROOT/usr/share/icons
install -m 644 $RPM_SOURCE_DIR/glade.png $RPM_BUILD_ROOT/usr/share/icons/

%clean
rm -fr $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi                       

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README FAQ TODO developer.txt generic.txt notes.txt source_code.txt file_format.txt manual.txt portability.txt glade-docs.sgml

%{prefix}/bin/glade
%{prefix}/share/glade
%{prefix}/share/gnome/apps/Development/glade.desktop
%{prefix}/share/locale/*/LC_MESSAGES/glade.mo
%{prefix}/lib/menu/%{name}
%{prefix}/share/icons/%{name}.png

%changelog
* Sat Apr 22 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.5-8mdk
- Add requires gettext

* Fri Mar 24 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.5-7mdk
- corrected group
- add menu entry
- add a icon for nenu

* Sat Nov 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected the Franch description (it is '%%description -l lang'
  and not '%%description(lang)' !)
- added an icon for the rpm 

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.5.5.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check
- bzip2 source
- update Source: url

* Wed Sep 29 1999 Obiwan Kenobi <kenobi@mandrakesoft.com>
- Nothing.

* Wed Jun 23 1999 Jose Mercado <jmercado@mit.edu>
- Changed the Source variable to use %{var}.
- Fixed glade.desktop's path so rpm will find it.
